%bcond_without check
%global debug_package %{nil}

%global crate strum

Name:           rust-strum0.20
Version:        0.20.0
Release:        %autorelease
Summary:        Helpful macros for working with enums and strings

License:        MIT
URL:            https://github.com/Peternator7/strum
Source:         %{crates_source}
# Removed reference to README outside of crate source
Patch:          strum-fix-readme-not-found.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Helpful macros for working with enums and strings.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+derive-devel %{_description}

This package contains library source intended for building other packages which
use the "derive" feature of the "%{crate}" crate.

%files       -n %{name}+derive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+strum_macros-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+strum_macros-devel %{_description}

This package contains library source intended for building other packages which
use the "strum_macros" feature of the "%{crate}" crate.

%files       -n %{name}+strum_macros-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test -- --all-targets
%endif

%changelog
%autochangelog
